Package org.zkoss.bind.converter.sys

## Class ListboxSelectedItemConverter

- java.lang.Object
- - org.zkoss.bind.converter.sys.ListboxSelectedItemConverter

- All Implemented Interfaces:
    `java.io.Serializable`, `Converter`

      public class ListboxSelectedItemConverter
      extends java.lang.Object
      implements Converter, java.io.Serializable

  Convert listbox selected listitem to bean and vice versa.
  Since:
    6.0.0
  Author:
    henrichen, dennis
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.bind.Converter

      `IGNORED_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ListboxSelectedItemConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `coerceToBean​(java.lang.Object val, Component comp, BindContext ctx)` | Coerces a value to bean value to save to a bean
    `java.lang.Object` | `coerceToUi​(java.lang.Object val, Component comp, BindContext ctx)` | Coerces a value to another value to load to a component

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListboxSelectedItemConverter

          public ListboxSelectedItemConverter()

  - ### Method Detail

    - #### coerceToUi

          public java.lang.Object coerceToUi​(java.lang.Object val,
                                             Component comp,
                                             BindContext ctx)

      Description copied from interface: `Converter`
      Coerces a value to another value to load to a component
      Specified by:
        `coerceToUi` in interface `Converter`
      Parameters:
        `val` - the bean value
        `comp` - the component to be loaded the value
        `ctx` - the bind context
      Returns:
        the value to load to a component

    - #### coerceToBean

          public java.lang.Object coerceToBean​(java.lang.Object val,
                                               Component comp,
                                               BindContext ctx)

      Description copied from interface: `Converter`
      Coerces a value to bean value to save to a bean
      Specified by:
        `coerceToBean` in interface `Converter`
      Parameters:
        `val` - the value of component attribute.
        `comp` - the component provides the value
        `ctx` - the bind context
      Returns:
        the value to save to a bean